Skip to main content
POST
/
agent
/
version
/
create
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "agent_id": "76286489-86a8-4540-b479-b0154e474555",
    "version": "1.0.3",
    "assistant_data": {
        "key": "value"
    },
    "knowledgeBase": [
        "kb_01HXRA4N5B8Q0SJC0F30Z8W0DT"
    ],
    "tools": [
        "tool_01HXR9259WDZ2X3ZZKQ7HDG4C2"
    ],
    "call_forwarding": {
        "key": "value"
    }
}

response = client.agents.create_version(**payload)
print(response)
{
  "message": "Agent version created successfully",
  "version_id": "69f884d50c4e5a2dc72277d4",
  "version": "1.0.3"
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for Create agent version.

Agent Version Create Request schema.

agent_id
string
required

Agent ID

Example:

"76286489-86a8-4540-b479-b0154e474555"

version
string
required

Version label

Example:

"1.0.3"

assistant_data
object
required

Assistant data value.

Example:
{ "key": "value" }
knowledgeBase
string[]

Knowledge Base value.

Example:
["kb_01HXRA4N5B8Q0SJC0F30Z8W0DT"]
tools
string[]

Tools value.

Example:
["tool_01HXR9259WDZ2X3ZZKQ7HDG4C2"]
call_forwarding
object

Call forwarding value.

Example:
{ "key": "value" }

Response

Version created

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.